TextToSpeechCloseWaveOutFile(3dtk)

Name

TextToSpeechCloseWaveOutFile - Closes a wave file.

Syntax
    MMRESULT TextToSpeechCloseWaveOutFile (LPTTS_HANDLE_T phTTS)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

Description

This function closes a wave file opened by the TextToSpeechOpenWaveOutFile() function and returns to the startup state. The speech samples are then ignored or sent to an audio device, depending on the setting of the dwDeviceOptions parameter in the startup function.

The application must call TextToSpeechOpenWaveOutFile() before calling TextToSpeechCloseWaveOutFile().

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_ERROR
 | Failure to wait for pending speech, unable to update the wave file header, or unable to close the wave file.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.

See Also

TextToSpeechOpenWaveOutFile(3dtk)